### Struct

# Atk Range

#### Description [src]

    struct AtkRange {
      /* No available fields */
    }

A given range or subrange, to be used with `AtkValue`

`AtkRange` are used on `AtkValue`, in order to represent the full range of a given component (for example an slider or a range control), or to define each individual subrange this full range is splitted if available. See `AtkValue` documentation for further details.

#### Constructors

###### atk_range_new

Creates a new `AtkRange`.

since: 2.12

#### Instance methods

###### atk_range_copy

Returns a new `AtkRange` that is a exact copy of `src`.

since: 2.12

###### atk_range_free

Free `range`.

since: 2.12

###### atk_range_get_description

Returns the human readable description of `range`.

since: 2.12

###### atk_range_get_lower_limit

Returns the lower limit of `range`.

since: 2.12

###### atk_range_get_upper_limit

Returns the upper limit of `range`.

since: 2.12